Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management.modelmbean
Class InvalidTargetObjectTypeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.management.modelmbean.InvalidTargetObjectTypeException

All Implemented Interfaces:
  java.io.Serializable

public class InvalidTargetObjectTypeException
extends java.lang.Exception

Exception thrown when an invalid target object type is specified.

See Also:
  Serialized Form

Constructor Summary
`InvalidTargetObjectTypeException()` Default constructor.
`InvalidTargetObjectTypeException(java.lang.Exception e, java.lang.String s)` Constructor taking an exception and a string.
`InvalidTargetObjectTypeException(java.lang.String s)` Constructor from a string.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidTargetObjectTypeException

    public InvalidTargetObjectTypeException()

  Default constructor.

### InvalidTargetObjectTypeException

    public InvalidTargetObjectTypeException(java.lang.String s)

  Constructor from a string.

Parameters:
  `s` - String value that will be incorporated in the message for this exception.

### InvalidTargetObjectTypeException

    public InvalidTargetObjectTypeException(java.lang.Exception e,
                                            java.lang.String s)

  Constructor taking an exception and a string.

Parameters:
  `e` - Exception that we may have caught to reissue as an InvalidTargetObjectTypeException. The message will be used, and we may want to consider overriding the printStackTrace() methods to get data pointing back to original throw stack.
  `s` - String value that will be incorporated in message for this exception.

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.